BytesRefIterator (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.BytesRefIterator interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Interface BytesRefIterator

All Known Subinterfaces:
  TermFreqIterator

All Known Implementing Classes:
  BufferingTermFreqIteratorWrapper, SortedTermFreqIteratorWrapper, TermFreqIterator.TermFreqIteratorWrapper, UnsortedTermFreqIteratorWrapper

    public interface BytesRefIterator

A simple iterator interface for `BytesRef` iteration.

Field Summary
`static BytesRefIterator` | `EMPTY` Singleton BytesRefIterator that iterates over 0 BytesRefs.

Method Summary
`Comparator<BytesRef>` | `getComparator()` Return the `BytesRef` Comparator used to sort terms provided by the iterator.
`BytesRef` | `next()` Increments the iteration to the next `BytesRef` in the iterator.

Field Detail

### EMPTY

    static final BytesRefIterator EMPTY

  Singleton BytesRefIterator that iterates over 0 BytesRefs.

Method Detail

### next

    BytesRef next()
                  throws IOException

  Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.

  Returns:
    the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
  Throws:
    `IOException`

### getComparator

    Comparator<BytesRef> getComparator()

  Return the `BytesRef` Comparator used to sort terms provided by the iterator. This may return null if there are no items or the iterator is not sorted. Callers may invoke this method many times, so it's best to cache a single instance & reuse it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD